<?php
/*
	DevSaver Web Framework
	Copyright (c) 2013-2016 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com				
*/


class CWidgetsWidgetTopIntro extends CWidget {

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $meta = array(
		"type"	=> "1",
		"name"	=> "Top Intro",
		"module"	=> array(
			"name"	=> "",
			"id"	=> "",
			"type"	=> "",
		)
	);

	

	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Render($widget) {
		
		return $this->tpl->blockReplace(
			"Main" , 
			array(
				"title"	=> $widget["settings"]["set_title"] ? $this->tpl->blockReplace("Title") : "",
				"text_1"	=> $widget["settings"]["set_text_1"] ? $this->tpl->blockReplace("Text_1") : "",
				"text_2"	=> $widget["settings"]["set_text_2"] ? $this->tpl->blockReplace("Text_2") : "",
			),
			$widget["settings"],
			$this->module->WidgetButtons($widget , $this->tpl),
			$widget
		);
	}
	
}


?>